package com.jiuqi.syntax;

import java.util.EventObject;

public final class LinkPlusEvent extends EventObject
{
    public DataCell startCell;
    public int endTerm;
    public int endYear;
    public CommonData value;
    
    public LinkPlusEvent(final Object object, final DataCell startCell, final int endTerm, final int endYear, final CommonData value) {
        super(object);
        this.startCell = new DataCell();
        this.endTerm = 0;
        this.endYear = 0;
        this.value = null;
        this.startCell.assign(startCell);
        this.endTerm = endTerm;
        this.endYear = endYear;
        this.value = value;
    }
    
    public LinkPlusEvent(final Object object) {
        super(object);
        this.startCell = new DataCell();
        this.endTerm = 0;
        this.endYear = 0;
        this.value = null;
    }
}
